package com.bonus.core.nutrition.common.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDate;
import java.util.List;

@ApiModel("人员体检报告详情")
public class HealthCustMedicalReportVO {
   @ApiModelProperty("体检id")
   private Long medicalId;
   @ApiModelProperty("人员id")
   private Long custId;
   @ApiModelProperty("体检日期")
   private LocalDate medicalDate;
   @ApiModelProperty("体检机构")
   private String medicalMechanism;
   @ApiModelProperty("体检模板id")
   private Long medicalTemplateId;
   @ApiModelProperty("体检项目结果")
   private List<HealthCustMedicalReportProjectVO> reportProjectVOS;

   public Long getMedicalId() {
      return this.medicalId;
   }

   public Long getCustId() {
      return this.custId;
   }

   public LocalDate getMedicalDate() {
      return this.medicalDate;
   }

   public String getMedicalMechanism() {
      return this.medicalMechanism;
   }

   public Long getMedicalTemplateId() {
      return this.medicalTemplateId;
   }

   public List<HealthCustMedicalReportProjectVO> getReportProjectVOS() {
      return this.reportProjectVOS;
   }

   public void setMedicalId(final Long medicalId) {
      this.medicalId = medicalId;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setMedicalDate(final LocalDate medicalDate) {
      this.medicalDate = medicalDate;
   }

   public void setMedicalMechanism(final String medicalMechanism) {
      this.medicalMechanism = medicalMechanism;
   }

   public void setMedicalTemplateId(final Long medicalTemplateId) {
      this.medicalTemplateId = medicalTemplateId;
   }

   public void setReportProjectVOS(final List<HealthCustMedicalReportProjectVO> reportProjectVOS) {
      this.reportProjectVOS = reportProjectVOS;
   }

}
